Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#629 closed defect (fixed)

POSIX message queue - mq_maxmsg == 0 not flagged as error

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: score Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

Creating a message queue with a message size of 0 should result in EINVAL being returned. RIght now it passes.

Release:
RTEMS-4.6

Attachments (1)

pr629.diff (909 bytes) - added by Joel Sherrill on 12/03/06 at 13:31:13.
pr629.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 05/21/04 at 19:12:45 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Attached patch applied to 4.6 branch and trunk.

Changed on 12/03/06 at 13:31:13 by Joel Sherrill

Attachment: pr629.diff added

pr629.diff

Note: See TracTickets for help on using tickets.